﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class Recipient : MonoBehaviour {

    List<string> bowlList;
    [SerializeField]
    Image bowlEmpty, bowl2, bowl3, bowl4, bowl5, bowl6;
    string dish;

    private void Start() {
        bowlList = new List<string>();
    }

    public void InsertIngredient(string ingredient) {
        bowlList.Add(ingredient);
        VerifyIngredients();
    }

    void VerifyIngredients() {
        if (bowlList.Contains("Sugar") && bowlList.Contains("Eggs") && bowlList.Count == 2) {
            dish = "Suspiros";
            gameObject.GetComponent<Image>().sprite = bowl2.sprite;
        } else if (bowlList.Count >= 2 && bowlList.Count < 4) {
            dish = "";
            gameObject.GetComponent<Image>().sprite = bowl3.sprite;
        } else if (bowlList.Contains("Flour") && bowlList.Contains("Sugar") && bowlList.Contains("Milk") && bowlList.Contains("Eggs") && bowlList.Count == 4) {
            dish = "Pudim";
            gameObject.GetComponent<Image>().sprite = bowl4.sprite;
        } else if (bowlList.Count >= 4 && bowlList.Count < 6) {
            dish = "";
            gameObject.GetComponent<Image>().sprite = bowl5.sprite;
        } else if (bowlList.Contains("Flour") && bowlList.Contains("Sugar") && bowlList.Contains("Milk") && bowlList.Contains("Eggs") && bowlList.Contains("Chocolate") && bowlList.Contains("Butter") && bowlList.Count == 6) {
            dish = "Brownie";
            gameObject.GetComponent<Image>().sprite = bowl6.sprite;
        }
    }

    public void FinishRecipe() {
        SceneManager.LoadScene(2);
    }
}
