﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.EventSystems;

public class DragHandler : MonoBehaviour, IBeginDragHandler, IDragHandler/*, IEndDragHandler*/
{
    //public static GameObject item;
    public Recipient recipient;
    //public GameObject bowl;

    Vector3 startPosition;
    //Transform startParent;


    public void OnBeginDrag(PointerEventData eventData) {

        //item = gameObject;
        startPosition = transform.position;
        //startParent = transform.parent;

        transform.SetParent(transform.root);
    }

    public void OnDrag(PointerEventData eventData) {
        transform.position = Input.mousePosition;
    }

    private void OnTriggerStay2D(Collider2D other)
    {
       
        if (Input.GetMouseButtonUp(0) && other.name == "BOWL")
        {
            if (name == "Spoon") {
                recipient.FinishRecipe();
                transform.position = startPosition;
            } else {
                recipient.InsertIngredient(gameObject.name);
                gameObject.SetActive(false);
            }
        }
        else if (Input.GetMouseButtonUp(0) && other.name != "BOWL" && other.tag != "Ingredients") {
            transform.position = startPosition;
        }
    }
}
